Vehicle Type
This API retrieves the vehicle type classification used in motor insurance processing, where vehicle type code 1 represents Private Car (Four Wheeler) and vehicle type code 2 represents Two Wheeler.
Path Parameters
Specifies the lookup category. This API accepts only 'vehicle' as the value.
Type of vehicle (e.g., TW, Car)
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier generated by the system.
List of errors if any occurred during processing.
data object
Contains master details.
make object[]
List of vehicle makes available for the selected vehicle type.
Unique code representing the vehicle make.
Vehicle make name/description.
{
"reqId": "e8fc7d65-05f1-42d8-afbd-06546ab1f0bb",
"errors": [],
"data": {
"make": [
{
"makeCode": "2",
"makeDescription": "ASTON MARTIN"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}